export interface SSRLoaderConfig {
    load: (url: string) => Promise<{
        contents: string;
    }>;
}
export interface SSRLoader {
    importModule: <T = any>(url: string) => Promise<ESMRuntimeModule<T>>;
    invalidateModule: (url: string) => void;
}
export interface ESMRuntimeModule<T> {
    exports: T;
    css: string[];
}
export declare function createLoader({ load }: SSRLoaderConfig): SSRLoader;
